#!/bin/bash
#this script was (originally) written for:
#http://www.blog.d-11.de/2011/03/22/nokia-ovi-maps-3-0-0-1-25-114-direct-downloadlinks-und-downloadscript-for-maemo-n900-without-using-map-loader/
#happy leeching ;)

# Modified to be more general with respect to maps version on 2012-05-02.
# Thanks very much to Daniel for the original work!

####
# Maps version 00.01.22.103
###
#server="http://static.s2g.gate5.de"
#mapversion="00.01.22.103"
#basedir="map5/maploaderzip-${mapversion}"
#fileprefix="11"

####
# Maps version 00.01.25.114
###
#server="http://static.s2g.gate5.de"
#mapversion="00.01.25.114"
#basedir="map5/maploaderzip-${mapversion}"
#fileprefix="35"

####
# Maps version 00.01.28.107
###
server="http://static.maploader.maps.svc.ovi.com"
mapversion="00.01.28.107"
basedir="map5/maploaderzip-${mapversion}"
fileprefix="98"

wget -c "${server}/${basedir}/NorthCentralAmerica.zip" -O ./IndexNorthCentralAmerica.zip
wget -c "${server}/${basedir}/SouthAmerica.zip" -O ./IndexSouthAmerica.zip
wget -c "${server}/${basedir}/Europe.zip" -O ./IndexEurope.zip
wget -c "${server}/${basedir}/Africa.zip" -O ./IndexAfrica.zip
wget -c "${server}/${basedir}/Asia.zip" -O ./IndexAsia.zip
wget -c "${server}/${basedir}/AustraliaOceania.zip" -O ./IndexAustraliaOceania.zip

continent=america
mkdir $continent
wget -c "${server}/${basedir}/${fileprefix}1.zip" -O ./$continent/America.zip
wget -c "${server}/${basedir}/${fileprefix}14.zip" -O ./$continent/Argentina.zip
wget -c "${server}/${basedir}/${fileprefix}19.zip" -O ./$continent/Bahamas.zip
wget -c "${server}/${basedir}/${fileprefix}13.zip" -O ./$continent/Brasil.zip

country=canada
mkdir $continent/$country
wget -c "${server}/${basedir}/${fileprefix}11.zip" -O ./$continent/$country/Canada.zip
wget -c "${server}/${basedir}/${fileprefix}11000.zip" -O ./$continent/$country/Alberta.zip
wget -c "${server}/${basedir}/${fileprefix}11001.zip" -O ./$continent/$country/British_Columbia.zip
wget -c "${server}/${basedir}/${fileprefix}11002.zip" -O ./$continent/$country/Manitoba.zip
wget -c "${server}/${basedir}/${fileprefix}11003.zip" -O ./$continent/$country/New_Brunswick.zip
wget -c "${server}/${basedir}/3111004.zip" -O ./$continent/$country/Newfoundland_and_Labrador.zip
wget -c "${server}/${basedir}/${fileprefix}11005.zip" -O ./$continent/$country/Nova_Scotia.zip
wget -c "${server}/${basedir}/${fileprefix}11006.zip" -O ./$continent/$country/Ontario.zip
wget -c "${server}/${basedir}/${fileprefix}11007.zip" -O ./$continent/$country/Prince_Edward_Island.zip
wget -c "${server}/${basedir}/${fileprefix}11008.zip" -O ./$continent/$country/Quebec.zip
wget -c "${server}/${basedir}/${fileprefix}11009.zip" -O ./$continent/$country/Saskatchewan.zip

wget -c "${server}/${basedir}/${fileprefix}18.zip" -O ./$continent/Cayman_Islands.zip
wget -c "${server}/${basedir}/${fileprefix}15.zip" -O ./$continent/Chile.zip
wget -c "${server}/${basedir}/${fileprefix}17.zip" -O ./$continent/Columbia.zip
wget -c "${server}/${basedir}/${fileprefix}113.zip" -O ./$continent/Costa_Rica.zip
wget -c "${server}/${basedir}/${fileprefix}114.zip" -O ./$continent/Dominician_Republic.zip
wget -c "${server}/${basedir}/${fileprefix}112.zip" -O ./$continent/El_Salvador.zip
wget -c "${server}/${basedir}/${fileprefix}116.zip" -O ./$continent/Honduras.zip
wget -c "${server}/${basedir}/${fileprefix}115.zip" -O ./$continent/Jamaica.zip
wget -c "${server}/${basedir}/${fileprefix}12.zip" -O ./$continent/Mexico.zip
wget -c "${server}/${basedir}/${fileprefix}117.zip" -O ./$continent/Panama.zip
wget -c "${server}/${basedir}/${fileprefix}110.zip" -O ./$continent/Peru.zip

country=usa
mkdir $continent/$country
wget -c "${server}/${basedir}/${fileprefix}10.zip" -O ./$continent/$country/USA.zip
wget -c "${server}/${basedir}/${fileprefix}10000.zip" -O ./$continent/$country/Alabama.zip
wget -c "${server}/${basedir}/${fileprefix}10001.zip" -O ./$continent/$country/Alaska.zip
wget -c "${server}/${basedir}/${fileprefix}10003.zip" -O ./$continent/$country/Arizona.zip
wget -c "${server}/${basedir}/${fileprefix}10002.zip" -O ./$continent/$country/Arkansas.zip
wget -c "${server}/${basedir}/${fileprefix}10004.zip" -O ./$continent/$country/California.zip
wget -c "${server}/${basedir}/${fileprefix}10005.zip" -O ./$continent/$country/Colorado.zip
wget -c "${server}/${basedir}/${fileprefix}10006.zip" -O ./$continent/$country/Connecticut.zip
wget -c "${server}/${basedir}/${fileprefix}10007.zip" -O ./$continent/$country/Delaware.zip
wget -c "${server}/${basedir}/${fileprefix}10008.zip" -O ./$continent/$country/Florida.zip
wget -c "${server}/${basedir}/${fileprefix}10009.zip" -O ./$continent/$country/Georgia.zip
wget -c "${server}/${basedir}/${fileprefix}10010.zip" -O ./$continent/$country/Hawaii.zip
wget -c "${server}/${basedir}/${fileprefix}10011.zip" -O ./$continent/$country/Idaho.zip
wget -c "${server}/${basedir}/${fileprefix}10012.zip" -O ./$continent/$country/Illinois.zip
wget -c "${server}/${basedir}/${fileprefix}10013.zip" -O ./$continent/$country/Indiana.zip
wget -c "${server}/${basedir}/${fileprefix}10014.zip" -O ./$continent/$country/Iowa.zip
wget -c "${server}/${basedir}/${fileprefix}10015.zip" -O ./$continent/$country/Kansas.zip
wget -c "${server}/${basedir}/${fileprefix}10016.zip" -O ./$continent/$country/Kentucky.zip
wget -c "${server}/${basedir}/${fileprefix}10017.zip" -O ./$continent/$country/Louisiana.zip
wget -c "${server}/${basedir}/${fileprefix}10018.zip" -O ./$continent/$country/Maine.zip
wget -c "${server}/${basedir}/${fileprefix}10019.zip" -O ./$continent/$country/Maryland.zip
wget -c "${server}/${basedir}/${fileprefix}10020.zip" -O ./$continent/$country/Massachusetts.zip
wget -c "${server}/${basedir}/${fileprefix}10021.zip" -O ./$continent/$country/Michigan.zip
wget -c "${server}/${basedir}/${fileprefix}10022.zip" -O ./$continent/$country/Minnesota.zip
wget -c "${server}/${basedir}/${fileprefix}10023.zip" -O ./$continent/$country/Mississippi.zip
wget -c "${server}/${basedir}/${fileprefix}10024.zip" -O ./$continent/$country/Missouri.zip
wget -c "${server}/${basedir}/${fileprefix}10025.zip" -O ./$continent/$country/Montana.zip
wget -c "${server}/${basedir}/${fileprefix}10026.zip" -O ./$continent/$country/Nebraska.zip
wget -c "${server}/${basedir}/${fileprefix}10027.zip" -O ./$continent/$country/Nevada.zip
wget -c "${server}/${basedir}/${fileprefix}10028.zip" -O ./$continent/$country/New_Hampshire.zip
wget -c "${server}/${basedir}/${fileprefix}10029.zip" -O ./$continent/$country/New_Jersey.zip
wget -c "${server}/${basedir}/${fileprefix}10030.zip" -O ./$continent/$country/New_Mexico.zip
wget -c "${server}/${basedir}/${fileprefix}10031.zip" -O ./$continent/$country/New_York.zip
wget -c "${server}/${basedir}/${fileprefix}10032.zip" -O ./$continent/$country/North_Carolina.zip
wget -c "${server}/${basedir}/${fileprefix}10033.zip" -O ./$continent/$country/North_Dakota.zip
wget -c "${server}/${basedir}/${fileprefix}10034.zip" -O ./$continent/$country/Ohio.zip
wget -c "${server}/${basedir}/${fileprefix}10035.zip" -O ./$continent/$country/Oklahoma.zip
wget -c "${server}/${basedir}/${fileprefix}10036.zip" -O ./$continent/$country/Oregon.zip
wget -c "${server}/${basedir}/${fileprefix}10037.zip" -O ./$continent/$country/Pennsylvania.zip
wget -c "${server}/${basedir}/${fileprefix}10050.zip" -O ./$continent/$country/Puerto_Rico.zip
wget -c "${server}/${basedir}/${fileprefix}10038.zip" -O ./$continent/$country/Rhode_Island.zip
wget -c "${server}/${basedir}/${fileprefix}10039.zip" -O ./$continent/$country/South_Carolina.zip
wget -c "${server}/${basedir}/${fileprefix}10040.zip" -O ./$continent/$country/South_Dakota.zip
wget -c "${server}/${basedir}/${fileprefix}10041.zip" -O ./$continent/$country/Tennessee.zip
wget -c "${server}/${basedir}/${fileprefix}10042.zip" -O ./$continent/$country/Texas.zip
wget -c "${server}/${basedir}/${fileprefix}10051.zip" -O ./$continent/$country/US_Virgin_Islands.zip
wget -c "${server}/${basedir}/${fileprefix}10043.zip" -O ./$continent/$country/Utah.zip
wget -c "${server}/${basedir}/${fileprefix}10044.zip" -O ./$continent/$country/Vermont.zip
wget -c "${server}/${basedir}/${fileprefix}10045.zip" -O ./$continent/$country/Virginia.zip
wget -c "${server}/${basedir}/${fileprefix}10046.zip" -O ./$continent/$country/Washington.zip
wget -c "${server}/${basedir}/${fileprefix}10047.zip" -O ./$continent/$country/West_Virginia.zip
wget -c "${server}/${basedir}/${fileprefix}10048.zip" -O ./$continent/$country/Wisconsin.zip
wget -c "${server}/${basedir}/${fileprefix}10049.zip" -O ./$continent/$country/Wyoming.zip

wget -c "${server}/${basedir}/${fileprefix}16.zip" -O ./$continent/Venezuela.zip
wget -c "${server}/${basedir}/${fileprefix}111.zip" -O ./$continent/Virgin_Islands.zip

continent=europe
mkdir $continent
wget -c "${server}/${basedir}/${fileprefix}2.zip" -O ./$continent/Europe.zip
wget -c "${server}/${basedir}/${fileprefix}2239.zip" -O ./$continent/Albania.zip
wget -c "${server}/${basedir}/${fileprefix}26.zip" -O ./$continent/Andorra.zip
wget -c "${server}/${basedir}/${fileprefix}215.zip" -O ./$continent/Austria.zip
wget -c "${server}/${basedir}/${fileprefix}233.zip" -O ./$continent/Belarus.zip
wget -c "${server}/${basedir}/${fileprefix}213.zip" -O ./$continent/Belgium.zip
wget -c "${server}/${basedir}/${fileprefix}241.zip" -O ./$continent/Bosnia_Herzegovina.zip
wget -c "${server}/${basedir}/${fileprefix}235.zip" -O ./$continent/Bulgaria.zip
wget -c "${server}/${basedir}/${fileprefix}242.zip" -O ./$continent/Croatia.zip
wget -c "${server}/${basedir}/${fileprefix}225.zip" -O ./$continent/Czech_Republic.zip
wget -c "${server}/${basedir}/${fileprefix}218.zip" -O ./$continent/Denmark.zip
wget -c "${server}/${basedir}/${fileprefix}230.zip" -O ./$continent/Estonia.zip
wget -c "${server}/${basedir}/${fileprefix}221.zip" -O ./$continent/Finland.zip

country=france
mkdir $continent/$country
wget -c "${server}/${basedir}/${fileprefix}21.zip" -O ./$continent/$country/France.zip
wget -c "${server}/${basedir}/${fileprefix}21000.zip" -O ./$continent/$country/Alsace.zip
wget -c "${server}/${basedir}/${fileprefix}21001.zip" -O ./$continent/$country/Aquitaine.zip
wget -c "${server}/${basedir}/${fileprefix}21002.zip" -O ./$continent/$country/Auvergne.zip
wget -c "${server}/${basedir}/${fileprefix}21003.zip" -O ./$continent/$country/Bretagne.zip
wget -c "${server}/${basedir}/${fileprefix}21004.zip" -O ./$continent/$country/Bourgogne.zip
wget -c "${server}/${basedir}/${fileprefix}21005.zip" -O ./$continent/$country/Centre.zip
wget -c "${server}/${basedir}/${fileprefix}21006.zip" -O ./$continent/$country/Champagne-Ardenne.zip
wget -c "${server}/${basedir}/${fileprefix}21007.zip" -O ./$continent/$country/Corsica.zip
wget -c "${server}/${basedir}/${fileprefix}21008.zip" -O ./$continent/$country/Franche-Comte.zip
wget -c "${server}/${basedir}/${fileprefix}21009.zip" -O ./$continent/$country/Langedoc-Roussillon.zip
wget -c "${server}/${basedir}/${fileprefix}21010.zip" -O ./$continent/$country/Limousin.zip
wget -c "${server}/${basedir}/${fileprefix}21011.zip" -O ./$continent/$country/Lorraine.zip
wget -c "${server}/${basedir}/${fileprefix}21013.zip" -O ./$continent/$country/Midi-Pyrenees.zip
wget -c "${server}/${basedir}/${fileprefix}21012.zip" -O ./$continent/$country/Normandie.zip
wget -c "${server}/${basedir}/${fileprefix}21014.zip" -O ./$continent/$country/Nord-Pas-de-Calais.zip
wget -c "${server}/${basedir}/${fileprefix}21016.zip" -O ./$continent/$country/Paris-Ile-de-France.zip
wget -c "${server}/${basedir}/${fileprefix}21015.zip" -O ./$continent/$country/Pays-de-la-Loire.zip
wget -c "${server}/${basedir}/${fileprefix}21017.zip" -O ./$continent/$country/Poitou-Charentes.zip
wget -c "${server}/${basedir}/${fileprefix}21018.zip" -O ./$continent/$country/Provence-Alpes-Cote-d-Azur.zip
wget -c "${server}/${basedir}/${fileprefix}21019.zip" -O ./$continent/$country/Rhone-Alpes.zip
wget -c "${server}/${basedir}/${fileprefix}21020.zip" -O ./$continent/$country/Guadeloupe.zip
wget -c "${server}/${basedir}/${fileprefix}21021.zip" -O ./$continent/$country/Martinique.zip
wget -c "${server}/${basedir}/${fileprefix}21022.zip" -O ./$continent/$country/French_Guiana.zip
wget -c "${server}/${basedir}/${fileprefix}21023.zip" -O ./$continent/$country/Saint_Barthelemy.zip

wget -c "${server}/${basedir}/${fileprefix}245.zip" -O ./$continent/Georgia.zip

country=germany
mkdir $continent/$country
wget -c "${server}/${basedir}/${fileprefix}20.zip" -O ./$continent/$country/Germany.zip
wget -c "${server}/${basedir}/${fileprefix}20000.zip" -O ./$continent/$country/Baden-Wuerttemberg.zip
wget -c "${server}/${basedir}/${fileprefix}20001.zip" -O ./$continent/$country/Bayern.zip
wget -c "${server}/${basedir}/${fileprefix}20002.zip" -O ./$continent/$country/Berlin_Brandenburg.zip
wget -c "${server}/${basedir}/${fileprefix}20003.zip" -O ./$continent/$country/Hessen.zip
wget -c "${server}/${basedir}/${fileprefix}20004.zip" -O ./$continent/$country/Mecklenburg-Vorpommern.zip
wget -c "${server}/${basedir}/${fileprefix}20005.zip" -O ./$continent/$country/Niedersachsen_Bremen.zip
wget -c "${server}/${basedir}/${fileprefix}20006.zip" -O ./$continent/$country/Nordrhein-Westfalen.zip
wget -c "${server}/${basedir}/${fileprefix}20007.zip" -O ./$continent/$country/Rheinland-Pfalz_Saarland.zip
wget -c "${server}/${basedir}/${fileprefix}20009.zip" -O ./$continent/$country/Sachsen.zip
wget -c "${server}/${basedir}/${fileprefix}20008.zip" -O ./$continent/$country/Sachsen-Anhalt.zip
wget -c "${server}/${basedir}/${fileprefix}20010.zip" -O ./$continent/$country/Schleswig-Holstein_Hamburg.zip
wget -c "${server}/${basedir}/${fileprefix}20011.zip" -O ./$continent/$country/Thueringen.zip

wget -c "${server}/${basedir}/${fileprefix}25.zip" -O ./$continent/Gibraltar.zip
wget -c "${server}/${basedir}/${fileprefix}223.zip" -O ./$continent/Greece.zip
wget -c "${server}/${basedir}/${fileprefix}227.zip" -O ./$continent/Hungary.zip
wget -c "${server}/${basedir}/${fileprefix}247.zip" -O ./$continent/Iceland.zip

country=italy
mkdir $continent/$country
wget -c "${server}/${basedir}/${fileprefix}23.zip" -O ./$continent/$country/Italia.zip
wget -c "${server}/${basedir}/${fileprefix}23012.zip" -O ./$continent/$country/Abruzzo.zip
wget -c "${server}/${basedir}/${fileprefix}23016.zip" -O ./$continent/$country/Basilicata.zip
wget -c "${server}/${basedir}/${fileprefix}23017.zip" -O ./$continent/$country/Calabria.zip
wget -c "${server}/${basedir}/${fileprefix}23014.zip" -O ./$continent/$country/Campania.zip
wget -c "${server}/${basedir}/${fileprefix}23007.zip" -O ./$continent/$country/Emilia-Romagna.zip
wget -c "${server}/${basedir}/${fileprefix}23005.zip" -O ./$continent/$country/Friuli-Venezia_Giulia.zip
wget -c "${server}/${basedir}/${fileprefix}23011.zip" -O ./$continent/$country/Lazio.zip
wget -c "${server}/${basedir}/${fileprefix}23006.zip" -O ./$continent/$country/Liguria.zip
wget -c "${server}/${basedir}/${fileprefix}23002.zip" -O ./$continent/$country/Lombardia.zip
wget -c "${server}/${basedir}/${fileprefix}23010.zip" -O ./$continent/$country/Marche.zip
wget -c "${server}/${basedir}/${fileprefix}23013.zip" -O ./$continent/$country/Molise.zip
wget -c "${server}/${basedir}/${fileprefix}23000.zip" -O ./$continent/$country/Piemonte.zip
wget -c "${server}/${basedir}/${fileprefix}23015.zip" -O ./$continent/$country/Puglia.zip
wget -c "${server}/${basedir}/${fileprefix}23019.zip" -O ./$continent/$country/Sardegna.zip
wget -c "${server}/${basedir}/${fileprefix}23018.zip" -O ./$continent/$country/Sicilia.zip
wget -c "${server}/${basedir}/${fileprefix}23008.zip" -O ./$continent/$country/Toscana.zip
wget -c "${server}/${basedir}/${fileprefix}23003.zip" -O ./$continent/$country/Trentino-Alto_Adige.zip
wget -c "${server}/${basedir}/${fileprefix}23009.zip" -O ./$continent/$country/Umbria.zip
wget -c "${server}/${basedir}/${fileprefix}23001.zip" -O ./$continent/$country/Valle_d-Aosta.zip
wget -c "${server}/${basedir}/${fileprefix}23004.zip" -O ./$continent/$country/Veneto.zip

wget -c "${server}/${basedir}/${fileprefix}229.zip" -O ./$continent/Latvia.zip
wget -c "${server}/${basedir}/${fileprefix}217.zip" -O ./$continent/Liechtenstein.zip
wget -c "${server}/${basedir}/${fileprefix}228.zip" -O ./$continent/Lithuania.zip
wget -c "${server}/${basedir}/${fileprefix}214.zip" -O ./$continent/Luxembourg.zip
wget -c "${server}/${basedir}/${fileprefix}236.zip" -O ./$continent/Malta.zip
wget -c "${server}/${basedir}/${fileprefix}238.zip" -O ./$continent/Macedonia.zip
wget -c "${server}/${basedir}/${fileprefix}27.zip" -O ./$continent/Monaco.zip
wget -c "${server}/${basedir}/${fileprefix}246.zip" -O ./$continent/Montenegro.zip
wget -c "${server}/${basedir}/${fileprefix}212.zip" -O ./$continent/Netherlands.zip
wget -c "${server}/${basedir}/${fileprefix}219.zip" -O ./$continent/Norway.zip
wget -c "${server}/${basedir}/${fileprefix}224.zip" -O ./$continent/Poland.zip
wget -c "${server}/${basedir}/${fileprefix}24.zip" -O ./$continent/Portugal.zip
wget -c "${server}/${basedir}/${fileprefix}211.zip" -O ./$continent/Republic_of_Ireland.zip
wget -c "${server}/${basedir}/${fileprefix}232.zip" -O ./$continent/Republic_of_Moldova.zip
wget -c "${server}/${basedir}/${fileprefix}234.zip" -O ./$continent/Romania.zip
wget -c "${server}/${basedir}/${fileprefix}244.zip" -O ./$continent/Russia.zip
wget -c "${server}/${basedir}/${fileprefix}29.zip" -O ./$continent/San_Morino.zip
wget -c "${server}/${basedir}/${fileprefix}240.zip" -O ./$continent/Serbia_Montenegro.zip
wget -c "${server}/${basedir}/${fileprefix}226.zip" -O ./$continent/Slovakia.zip
wget -c "${server}/${basedir}/${fileprefix}243.zip" -O ./$continent/Slovenia.zip

country=spain
mkdir $continent/$country
wget -c "${server}/${basedir}/${fileprefix}22.zip" -O ./$continent/$country/Spain.zip
wget -c "${server}/${basedir}/${fileprefix}22014.zip" -O ./$continent/$country/Andalucia.zip
wget -c "${server}/${basedir}/${fileprefix}22007.zip" -O ./$continent/$country/Aragon.zip
wget -c "${server}/${basedir}/${fileprefix}22001.zip" -O ./$continent/$country/Asturias.zip
wget -c "${server}/${basedir}/${fileprefix}22016.zip" -O ./$continent/$country/Islas_Canarias.zip
wget -c "${server}/${basedir}/${fileprefix}22002.zip" -O ./$continent/$country/Cantabria.zip
wget -c "${server}/${basedir}/${fileprefix}22005.zip" -O ./$continent/$country/Castilla_y_Leon.zip
wget -c "${server}/${basedir}/${fileprefix}22011.zip" -O ./$continent/$country/Castilla_la_Mancha.zip
wget -c "${server}/${basedir}/${fileprefix}22008.zip" -O ./$continent/$country/Catalunya.zip
wget -c "${server}/${basedir}/${fileprefix}22017.zip" -O ./$continent/$country/Ceuta.zip
wget -c "${server}/${basedir}/${fileprefix}22012.zip" -O ./$continent/$country/Communidad_Valenciana.zip
wget -c "${server}/${basedir}/${fileprefix}22010.zip" -O ./$continent/$country/Extremadura.zip
wget -c "${server}/${basedir}/${fileprefix}22000.zip" -O ./$continent/$country/Galicia.zip
wget -c "${server}/${basedir}/${fileprefix}22013.zip" -O ./$continent/$country/Islas_Baleares.zip
wget -c "${server}/${basedir}/${fileprefix}22006.zip" -O ./$continent/$country/La_Rioja.zip
wget -c "${server}/${basedir}/${fileprefix}22009.zip" -O ./$continent/$country/Madrid.zip
wget -c "${server}/${basedir}/${fileprefix}22018.zip" -O ./$continent/$country/Melilla.zip
wget -c "${server}/${basedir}/${fileprefix}22015.zip" -O ./$continent/$country/Murcia.zip
wget -c "${server}/${basedir}/${fileprefix}22004.zip" -O ./$continent/$country/Navarre.zip
wget -c "${server}/${basedir}/${fileprefix}22003.zip" -O ./$continent/$country/Pais_Vasco.zip

wget -c "${server}/${basedir}/${fileprefix}220.zip" -O ./$continent/Sweden.zip
wget -c "${server}/${basedir}/${fileprefix}216.zip" -O ./$continent/Switzerland.zip
wget -c "${server}/${basedir}/${fileprefix}222.zip" -O ./$continent/Turkey.zip
wget -c "${server}/${basedir}/${fileprefix}231.zip" -O ./$continent/Ukraine.zip

country=uk
mkdir $continent/$country
wget -c "${server}/${basedir}/${fileprefix}210.zip" -O ./$continent/$country/United_Kingdom.zip
wget -c "${server}/${basedir}/${fileprefix}210000.zip" -O ./$continent/$country/England.zip
wget -c "${server}/${basedir}/${fileprefix}210003.zip" -O ./$continent/$country/Northern_Ireland.zip
wget -c "${server}/${basedir}/${fileprefix}210001.zip" -O ./$continent/$country/Scotland.zip
wget -c "${server}/${basedir}/${fileprefix}210002.zip" -O ./$continent/$country/Wales.zip

wget -c "${server}/${basedir}/${fileprefix}28.zip" -O ./$continent/Vatican_City.zip

continent=africa
mkdir $continent
wget -c "${server}/${basedir}/${fileprefix}3.zip" -O ./$continent/Africa.zip
wget -c "${server}/${basedir}/${fileprefix}30.zip" -O ./$continent/Algeria.zip
wget -c "${server}/${basedir}/${fileprefix}37.zip" -O ./$continent/Botswana.zip
wget -c "${server}/${basedir}/${fileprefix}31.zip" -O ./$continent/Egypt.zip
wget -c "${server}/${basedir}/${fileprefix}313.zip" -O ./$continent/Kenya.zip
wget -c "${server}/${basedir}/${fileprefix}39.zip" -O ./$continent/Lesotho.zip
wget -c "${server}/${basedir}/${fileprefix}32.zip" -O ./$continent/Libya.zip
wget -c "${server}/${basedir}/${fileprefix}33.zip" -O ./$continent/Morocco.zip
wget -c "${server}/${basedir}/${fileprefix}311.zip" -O ./$continent/Mozambique.zip
wget -c "${server}/${basedir}/${fileprefix}36.zip" -O ./$continent/Namibia.zip
wget -c "${server}/${basedir}/${fileprefix}310.zip" -O ./$continent/Nigeria.zip
wget -c "${server}/${basedir}/${fileprefix}312.zip" -O ./$continent/Reunion.zip
wget -c "${server}/${basedir}/${fileprefix}34.zip" -O ./$continent/South_Africa.zip
wget -c "${server}/${basedir}/${fileprefix}38.zip" -O ./$continent/Swaziland.zip
wget -c "${server}/${basedir}/${fileprefix}35.zip" -O ./$continent/Tunisia.zip
wget -c "${server}/${basedir}/${fileprefix}314.zip" -O ./$continent/Uganda.zip

continent=asia
mkdir $continent
wget -c "${server}/${basedir}/${fileprefix}4.zip" -O ./$continent/Asia.zip
wget -c "${server}/${basedir}/${fileprefix}40.zip" -O ./$continent/Armenia.zip
wget -c "${server}/${basedir}/${fileprefix}41.zip" -O ./$continent/Azerbaijan.zip
wget -c "${server}/${basedir}/${fileprefix}42.zip" -O ./$continent/Bahrain.zip

country=china
mkdir $continent/$country
wget -c "${server}/${basedir}/${fileprefix}414.zip" -O ./$continent/$country/China.zip
wget -c "${server}/${basedir}/${fileprefix}414000.zip" -O ./$continent/$country/Anhui.zip
wget -c "${server}/${basedir}/${fileprefix}414001.zip" -O ./$continent/$country/Beijing.zip
wget -c "${server}/${basedir}/${fileprefix}414003.zip" -O ./$continent/$country/Chongqing.zip
wget -c "${server}/${basedir}/${fileprefix}414004.zip" -O ./$continent/$country/Fujian.zip
wget -c "${server}/${basedir}/${fileprefix}414005.zip" -O ./$continent/$country/Gansu.zip
wget -c "${server}/${basedir}/${fileprefix}414006.zip" -O ./$continent/$country/Guangdong.zip
wget -c "${server}/${basedir}/${fileprefix}414007.zip" -O ./$continent/$country/Guangxi.zip
wget -c "${server}/${basedir}/${fileprefix}414008.zip" -O ./$continent/$country/Guizhou.zip
wget -c "${server}/${basedir}/${fileprefix}414009.zip" -O ./$continent/$country/Hainan.zip
wget -c "${server}/${basedir}/${fileprefix}414010.zip" -O ./$continent/$country/Hebei.zip
wget -c "${server}/${basedir}/${fileprefix}414011.zip" -O ./$continent/$country/Heilonjiang.zip
wget -c "${server}/${basedir}/${fileprefix}414012.zip" -O ./$continent/$country/Henan.zip
wget -c "${server}/${basedir}/${fileprefix}414013.zip" -O ./$continent/$country/Hubei.zip
wget -c "${server}/${basedir}/${fileprefix}414014.zip" -O ./$continent/$country/Hunan.zip
wget -c "${server}/${basedir}/${fileprefix}414015.zip" -O ./$continent/$country/Jiangsu.zip
wget -c "${server}/${basedir}/${fileprefix}414016.zip" -O ./$continent/$country/Jiangxi.zip
wget -c "${server}/${basedir}/${fileprefix}414017.zip" -O ./$continent/$country/Jilin.zip
wget -c "${server}/${basedir}/${fileprefix}414018.zip" -O ./$continent/$country/Liaoning.zip
wget -c "${server}/${basedir}/${fileprefix}414019.zip" -O ./$continent/$country/Neimenggu.zip
wget -c "${server}/${basedir}/${fileprefix}414020.zip" -O ./$continent/$country/Ningxia.zip
wget -c "${server}/${basedir}/${fileprefix}414021.zip" -O ./$continent/$country/Quinghai.zip
wget -c "${server}/${basedir}/${fileprefix}414022.zip" -O ./$continent/$country/Shaanxi.zip
wget -c "${server}/${basedir}/${fileprefix}414023.zip" -O ./$continent/$country/Shandong.zip
wget -c "${server}/${basedir}/${fileprefix}414024.zip" -O ./$continent/$country/Shanghai.zip
wget -c "${server}/${basedir}/${fileprefix}414025.zip" -O ./$continent/$country/Shanxi.zip
wget -c "${server}/${basedir}/${fileprefix}414026.zip" -O ./$continent/$country/Sichuan.zip
wget -c "${server}/${basedir}/${fileprefix}414027.zip" -O ./$continent/$country/Tianjin.zip
wget -c "${server}/${basedir}/${fileprefix}414028.zip" -O ./$continent/$country/Xinjiang.zip
wget -c "${server}/${basedir}/${fileprefix}414031.zip" -O ./$continent/$country/Xizang.zip
wget -c "${server}/${basedir}/${fileprefix}414029.zip" -O ./$continent/$country/Yunnan.zip
wget -c "${server}/${basedir}/${fileprefix}414030.zip" -O ./$continent/$country/Zhejiang.zip

wget -c "${server}/${basedir}/${fileprefix}43.zip" -O ./$continent/Honk_Kong_and_Macau.zip
wget -c "${server}/${basedir}/${fileprefix}415.zip" -O ./$continent/India.zip
wget -c "${server}/${basedir}/${fileprefix}416.zip" -O ./$continent/Indonesia.zip
wget -c "${server}/${basedir}/${fileprefix}420.zip" -O ./$continent/Iran.zip
wget -c "${server}/${basedir}/${fileprefix}44.zip" -O ./$continent/Japan.zip
wget -c "${server}/${basedir}/${fileprefix}417.zip" -O ./$continent/Jordan.zip
wget -c "${server}/${basedir}/${fileprefix}422.zip" -O ./$continent/Kazakhstan.zip
wget -c "${server}/${basedir}/${fileprefix}45.zip" -O ./$continent/Kuwait.zip
wget -c "${server}/${basedir}/${fileprefix}421.zip" -O ./$continent/Lebanon.zip
wget -c "${server}/${basedir}/${fileprefix}46.zip" -O ./$continent/Malaysia.zip
wget -c http://static.s2g.gate5.de/map5/maploaderzip-00.02.41.123/${fileprefix}47.zip -O ./$continent/Oman.zip
wget -c "${server}/${basedir}/${fileprefix}419.zip" -O ./$continent/Philippines.zip
wget -c "${server}/${basedir}/${fileprefix}48.zip" -O ./$continent/Qatar.zip
wget -c "${server}/${basedir}/${fileprefix}49.zip" -O ./$continent/Saudi_Arabia.zip
wget -c "${server}/${basedir}/${fileprefix}410.zip" -O ./$continent/Singapore.zip
wget -c "${server}/${basedir}/${fileprefix}411.zip" -O ./$continent/Taiwan.zip
wget -c "${server}/${basedir}/${fileprefix}412.zip" -O ./$continent/Thailand.zip
wget -c "${server}/${basedir}/${fileprefix}413.zip" -O ./$continent/United_Arab_Emirates.zip
wget -c "${server}/${basedir}/${fileprefix}418.zip" -O ./$continent/Vietnam.zip

continent=australia
mkdir $continent
wget -c "${server}/${basedir}/${fileprefix}5.zip" -O ./$continent/Australia_Oceania.zip
wget -c "${server}/${basedir}/${fileprefix}50.zip" -O ./$continent/Australia.zip
wget -c "${server}/${basedir}/${fileprefix}51.zip" -O ./$continent/New_Zealand.zip

